RGBColor (Common DOM API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface RGBColor

public interface RGBColor

The `RGBColor` interface is used to represent any RGB color value. This interface reflects the values in the underlying style property. Hence, modifications made to the `CSSPrimitiveValue` objects modify the style property.

A specified RGB color is not clipped (even if the number is outside the range 0-255 or 0%-100%). A computed RGB color is clipped depending on the device.

Even if a style sheet can only contain an integer for a color value, the internal storage of this integer is a float, and this can be used as a float in the specified or the computed style.

A color percentage value can always be converted to a number and vice versa.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`CSSPrimitiveValue` | `getBlue()` This attribute is used for the blue value of the RGB color.
`CSSPrimitiveValue` | `getGreen()` This attribute is used for the green value of the RGB color.
`CSSPrimitiveValue` | `getRed()` This attribute is used for the red value of the RGB color.

Method Detail

### getRed

    public CSSPrimitiveValue getRed()

  This attribute is used for the red value of the RGB color.

### getGreen

    public CSSPrimitiveValue getGreen()

  This attribute is used for the green value of the RGB color.

### getBlue

    public CSSPrimitiveValue getBlue()

  This attribute is used for the blue value of the RGB color.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.